%global momorel 3

Summary: Intelligent phonetic input method library for Traditional Chinese
Name: libchewing
Version: 0.3.0
Release: %{momorel}m%{?dist}
License: GPL
URL: http://chewing.csie.net/
Group: System Environment/Libraries
Source0: http://chewing.csie.net/download/%{name}/%{name}-%{version}.tar.gz 
NoSource: 0
Patch0: %{name}-%{version}-3.bz199353.patch
Patch1: %{name}-%{version}-4.bz206232.patch
Patch2: %{name}-%{version}-5.bz216581a.patch
Patch3: %{name}-%{version}-5.bz216581b.patch
Patch4: %{name}-%{version}-6.bz231568.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig

%description
libchewing is an intelligent phonetic input method library for Chinese.

It provides the core algorithm and logic that can be used by various
input methods.  The Chewing input method is a smart bopomofo phonetics
input method that is useful for inputting Mandarin Chinese.

%package devel
Summary: Header files and static libraries from libchewing
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Libraries and includes files for developing programs based on libchewing.

%prep
%setup -q

%patch0 -p1 -b .1-bz199353
%patch1 -p1 -b .2-bz206232
%patch2 -p1 -b .3-bz216581a
%patch3 -p1 -b .4-bz216581b
%patch4 -p1 -b .5-bz231568

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/lib*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_libdir}/libchewing.so.*
%{_datadir}/chewing

%files devel
%defattr(-,root,root)
%{_includedir}/chewing
%{_libdir}/pkgconfig/chewing.pc
%{_libdir}/libchewing.a
%{_libdir}/libchewing.so

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.0-3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.0-2m)
- %%NoSource -> NoSource

* Tue Apr 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.0-1m)
- initial package for scim-chewing-0.3.1
- import 5 patches from Fedora
